Subject: Re: [secdir] Secdir last call review of draft-ietf-roll-aodv-rpl-09

From: Charlie Perkins <[email-masked]>
Date: Wed, 18 Aug 2021 12:50:10 -0700

Hello Tero,

Thanks for your comments, useful as always.  Please excuse the unusually 
long
delay it has taken for us to respond to your comments.  Please see a bit of
follow-up below.

On 3/22/2021 9:41 AM, Tero Kivinen via Datatracker wrote:
 > The title of the draft has some acronyms which are not expanded 
(AODV, P2P)
 > and if you expand them the title comes way too long. I would propose 
a usable
 > title, which might not need to use all possible acronyms, but would 
better
 > explain what this document is trying to do.

How about "Supporting Asymmetric Links in Low Power Networks"? Replacing 
"LLNs" by "Low Power Networks" is probably O.K. because lossy is almost 
implicit given low power (or, often, reality).

 > Nits:
 >
 > In section 1 the text "RPL [RFC6550] (Routing Protocol for Low-Power 
and Lossy
 > Networks)" defines acronyms differently than what is used everywhere 
else. In
 > all other cases the document uses format where the acronym is in 
parenthesis
 > after the full text, i.e. "Routing Protocol for Low-Power and Lossy 
Networks
 > (RPL) [RFC6550]" format. I would propose using the same format also 
for here.

Done.

 >
 > In section 1 there is acronym DAG which is not expanded, expand it on 
first
 > use.

I think that sentence reads better just omitting DAG.

 > Also there are unexpanded acronyms DAO, P2MP, which are not used anywhere
 > else, perhaps just expand them here. In same paragraph there is also 
acronym
 > MOP which is not expanded here on its first use, but it is expanded 
later.
 > Expand it here on its first use.

Done, except that I thought it would be better to exhibit the acronym 
DAO since it is well known to readers familiar with RPL.

 >
 > What is the difference between different reserve bits X and r in sections
 > 4.1/4.2 and 4.3?
I made them all to be reserved bits 'X'.

 >
 > Period missing from the end of sentence of the Option Length 
description in
 > Section 4.3.

Done.

 >
 > In the IANA considerations section I propose add a note to RFC editor 
saying
 > that the sentences saying " The parenthesized numbers are only 
suggestions."
 > needs to be removed prior publication.
 >
 >

Done!

Naturally Yours,
Charlie P.

On 3/22/2021 9:41 AM, Tero Kivinen via Datatracker wrote:
> Reviewer: Tero Kivinen
> Review result: Has Nits
>
> I have reviewed this document as part of the security directorate's ongoing
> effort to review all IETF documents being processed by the IESG.  These
> comments were written primarily for the benefit of the security area directors.
>   Document editors and WG chairs should treat these comments just like any other
> last call comments.
>
> The title of the draft has some acronyms which are not expanded (AODV, P2P) and
> if you expand them the title comes way too long. I would propose a usable
> title, which might not need to use all possible acronyms, but would better
> explain what this document is trying to do.
>
> This draft defines a new mode of operation to the allow peer to peer on demand
> routing in low power and lossy networks. I have not enough knowledge of RPL to
> really know how the new mode differs from the old methods. The security
> considerations section points to the RFC6550, and then explains that if rogue
> router has key it can do all kind of things.
>
> Nits:
>
> In section 1 the text "RPL [RFC6550] (Routing Protocol for Low-Power and Lossy
> Networks)" defines acronyms differently than what is used everywhere else. In
> all other cases the document uses format where the acronym is in parenthesis
> after the full text, i.e. "Routing Protocol for Low-Power and Lossy Networks
> (RPL) [RFC6550]" format. I would propose using the same format also for here.
>
> In section 1 there is acronym DAG which is not expanded, expand it on first
> use. Also there are unexpanded acronyms DAO, P2MP, which are not used anywhere
> else, perhaps just expand them here. In same paragraph there is also acronym
> MOP which is not expanded here on its first use, but it is expanded later.
> Expand it here on its first use.
>
> What is the difference between different reserve bits X and r in sections
> 4.1/4.2 and 4.3?
>
> Period missing from the end of sentence of the Option Length description in
> Section 4.3.
>
> In the IANA considerations section I propose add a note to RFC editor saying
> that the sentences saying " The parenthesized numbers are only suggestions."
> needs to be removed prior publication.
>
>

---

From: Tero Kivinen <[email-masked]>
Date: Thu, 19 Aug 2021 21:31:28 +0300

> delay it has taken for us to respond to your comments.  Please see a bit of

Changes look good. 

> implicit given low power (or, often, reality).

I think that title is good. 
-- 
[email-masked]